package intrinsic.mx.styles;

public class StyleManager extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final int NOT_A_COLOR = 0;
	public static final String VERSION = "version";

	/** Class Accessors */
	public static Object typeSelectorCache;
	public static intrinsic.Array selectors;
	public static Object inheritingStyles;
	public static Object stylesRoot;

	/** Class variables */

/** Contructors */
public StyleManager() {
}


/** Static Methods */
public static native void styleDeclarationsChanged();
public static native void registerSizeInvalidatingStyle(String arg0);
public static native void unloadStyleDeclarations(String arg0);
public static native void unloadStyleDeclarations(String arg0, boolean arg1);
public static native void clearStyleDeclaration(String arg0, boolean arg1);
public static native boolean isParentDisplayListInvalidatingStyle(String arg0);
public static native boolean isSizeInvalidatingStyle(String arg0);
public static native intrinsic.mx.styles.CSSStyleDeclaration getStyleDeclaration(String arg0);
public static native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0);
public static native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1);
public static native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1, boolean arg2);
public static native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1, boolean arg2, intrinsic.flash.system.ApplicationDomain arg3);
public static native intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1, boolean arg2, intrinsic.flash.system.ApplicationDomain arg3, intrinsic.flash.system.SecurityDomain arg4);
public static native int getColorName(Object arg0);
public static native boolean isValidStyleValue(Object arg0);
public static native void setStyleDeclaration(String arg0, intrinsic.mx.styles.CSSStyleDeclaration arg1, boolean arg2);
public static native boolean isInheritingTextFormatStyle(String arg0);
public static native boolean isColorName(String arg0);
public static native void getColorNames(intrinsic.Array arg0);
public static native void initProtoChainRoots();
public static native boolean isInheritingStyle(String arg0);
public static native boolean isParentSizeInvalidatingStyle(String arg0);
public static native void registerParentDisplayListInvalidatingStyle(String arg0);
public static native void registerParentSizeInvalidatingStyle(String arg0);
public static native void registerInheritingStyle(String arg0);
public static native void registerColorName(String arg0, int arg1);

/** Methods */

}
